Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Global Event Rules

List Global Event Rules

get
/v3/global-event-rules

Get a list of all GERs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired
page_sizeintegerOptional
page_numberintegerOptional
filters.owner_id[]string[]Optional
filters.searchstringOptional
Responses
200

The request has succeeded.

application/json
get/v3/global-event-rules
GET /v3/global-event-rules?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "org_id": "text",
      "team_id": "text",
      "name": "text",
      "description": "text",
      "routing_key": "text",
      "entity_owner": {
        "id": "text",
        "type": "team"
      },
      "rulesets": [
        {
          "id": 1,
          "global_event_rule_id": 1,
          "alert_source_shortname": "text",
          "alert_source_version": "text",
          "ordering": [
            1
          ],
          "catch_all_action": {
            "route_to": "text"
          },
          "created_at": "2026-01-01T00:00:00.000Z",
          "created_by": "text",
          "updated_at": "2026-01-01T00:00:00.000Z",
          "updated_by": "text"
        }
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "created_by": "text",
      "updated_at": "2026-01-01T00:00:00.000Z",
      "updated_by": "text"
    }
  ],
  "meta": {
    "total_count": 1
  }
}

Create Global Event Rule

post
/v3/global-event-rules

Create a GER

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
descriptionstringRequired
owner_idstringRequired
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/global-event-rules
POST /v3/global-event-rules HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97

{
  "name": "text",
  "description": "text",
  "owner_id": "text",
  "entity_owner": {
    "id": "text",
    "type": "team"
  }
}
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "name": "text",
    "description": "text",
    "routing_key": "text",
    "entity_owner": {
      "id": "text",
      "type": "team"
    },
    "rulesets": [
      {
        "id": 1,
        "global_event_rule_id": 1,
        "alert_source_shortname": "text",
        "alert_source_version": "text",
        "ordering": [
          1
        ],
        "catch_all_action": {
          "route_to": "text"
        },
        "created_at": "2026-01-01T00:00:00.000Z",
        "created_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text"
      }
    ],
    "created_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text"
  }
}

Get Global Event Rule by ID

get
/v3/global-event-rules/{ger_id}

Get a GER by its ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ger_idintegerRequired
Responses
200

The request has succeeded.

application/json
get/v3/global-event-rules/{ger_id}
GET /v3/global-event-rules/{ger_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "name": "text",
    "description": "text",
    "routing_key": "text",
    "entity_owner": {
      "id": "text",
      "type": "team"
    },
    "rulesets": [
      {
        "id": 1,
        "global_event_rule_id": 1,
        "alert_source_shortname": "text",
        "alert_source_version": "text",
        "ordering": [
          1
        ],
        "catch_all_action": {
          "route_to": "text"
        },
        "created_at": "2026-01-01T00:00:00.000Z",
        "created_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text"
      }
    ],
    "created_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text"
  }
}

Delete Global Event Rule by ID

delete
/v3/global-event-rules/{ger_id}

Delete a GER by its ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ger_idintegerRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/global-event-rules/{ger_id}
DELETE /v3/global-event-rules/{ger_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Update Global Event Rule by ID

patch
/v3/global-event-rules/{ger_id}

Update a GER by its ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
ger_idintegerRequired
Body
namestringOptional
descriptionstringOptional
Responses
200

The request has succeeded.

application/json
patch/v3/global-event-rules/{ger_id}
PATCH /v3/global-event-rules/{ger_id} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79

{
  "name": "text",
  "description": "text",
  "entity_owner": {
    "id": "text",
    "type": "team"
  }
}
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "name": "text",
    "description": "text",
    "routing_key": "text",
    "entity_owner": {
      "id": "text",
      "type": "team"
    },
    "rulesets": [
      {
        "id": 1,
        "global_event_rule_id": 1,
        "alert_source_shortname": "text",
        "alert_source_version": "text",
        "ordering": [
          1
        ],
        "catch_all_action": {
          "route_to": "text"
        },
        "created_at": "2026-01-01T00:00:00.000Z",
        "created_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text"
      }
    ],
    "created_at": "2026-01-01T00:00:00.000Z",
    "created_by": "text",
    "updated_at": "2026-01-01T00:00:00.000Z",
    "updated_by": "text"
  }
}

Last updated